it.csi.mddtools.guigen

## Interface GridWidgetLayoutSpec

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, WidgetLayoutSpecifier

      public interface GridWidgetLayoutSpec
      extends WidgetLayoutSpecifier

  A representation of the model object 'Grid Widget Layout Spec'. Specifica di posizionamento di widget in un layout a griglia

  The following features are supported:

  - `Row`
  - `Column`
  - `Hspan`
  - `Vspan`
  See Also:
    `GuigenPackage.getGridWidgetLayoutSpec()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getColumn()` Returns the value of the 'Column' attribute
    `int` | `getHspan()` Returns the value of the 'Hspan' attribute
    `int` | `getRow()` Returns the value of the 'Row' attribute
    `int` | `getVspan()` Returns the value of the 'Vspan' attribute
    `void` | `setColumn(int value)` Sets the value of the '`Column`' attribute
    `void` | `setHspan(int value)` Sets the value of the '`Hspan`' attribute
    `void` | `setRow(int value)` Sets the value of the '`Row`' attribute
    `void` | `setVspan(int value)` Sets the value of the '`Vspan`' attribute

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getRow

          int getRow()

      Returns the value of the 'Row' attribute.

      If the meaning of the 'Row' attribute isn't clear, there really should be more of a description here...

      Riga in cui deve essere posizionato il Widget (prima riga = 1)
      Returns:
        the value of the 'Row' attribute.
      See Also:
        `setRow(int)`, `GuigenPackage.getGridWidgetLayoutSpec_Row()`

    - #### setRow

          void setRow(int value)

      Sets the value of the '`Row`' attribute.
      Parameters:
        `value` - the new value of the 'Row' attribute.
      See Also:
        `getRow()`

    - #### getColumn

          int getColumn()

      Returns the value of the 'Column' attribute.

      If the meaning of the 'Column' attribute isn't clear, there really should be more of a description here...

      Colonna in cui deve essere posizionato il Widget (prima colonna = 1)
      Returns:
        the value of the 'Column' attribute.
      See Also:
        `setColumn(int)`, `GuigenPackage.getGridWidgetLayoutSpec_Column()`

    - #### setColumn

          void setColumn(int value)

      Sets the value of the '`Column`' attribute.
      Parameters:
        `value` - the new value of the 'Column' attribute.
      See Also:
        `getColumn()`

    - #### getHspan

          int getHspan()

      Returns the value of the 'Hspan' attribute.

      If the meaning of the 'Hspan' attribute isn't clear, there really should be more of a description here...

      Numero di colonne di occupazione del widget. Se non specificato si assume l'occupazione di una colonna. Il widget occuperà le colonne da column a column+hspan comprese.
      Returns:
        the value of the 'Hspan' attribute.
      See Also:
        `setHspan(int)`, `GuigenPackage.getGridWidgetLayoutSpec_Hspan()`

    - #### setHspan

          void setHspan(int value)

      Sets the value of the '`Hspan`' attribute.
      Parameters:
        `value` - the new value of the 'Hspan' attribute.
      See Also:
        `getHspan()`

    - #### getVspan

          int getVspan()

      Returns the value of the 'Vspan' attribute. Numero di righe di occupazione del widget. Se non specificato si assume l'occupazione di una riga. Il widget occuperà le righe da row a row+vspan comprese.
      Returns:
        the value of the 'Vspan' attribute.
      See Also:
        `setVspan(int)`, `GuigenPackage.getGridWidgetLayoutSpec_Vspan()`

    - #### setVspan

          void setVspan(int value)

      Sets the value of the '`Vspan`' attribute.
      Parameters:
        `value` - the new value of the 'Vspan' attribute.
      See Also:
        `getVspan()`